@import 'normalize.css';

@font-face {
    font-family: 'D-DINExp-Bold';
    src: url('/fonts/D-DINExp-Bold.eot?#iefix') format('embedded-opentype'),  url('/fonts/D-DINExp-Bold.otf')  format('opentype'),
           url('/fonts/D-DINExp-Bold.woff') format('woff'), url('/fonts/D-DINExp-Bold.ttf')  format('truetype'), url('/fonts/D-DINExp-Bold.svg#D-DINExp-Bold') format('svg');
    font-weight: normal;
    font-style: normal;
}
body {
    background-color: rgb(39, 39, 39);
    font-family: sans-serif;
    color: white;
}
h1 {
    font-family: 'D-DINExp-Bold';
    color: white;
    font-size: 3.7em;
}
.titulo {
    height: 30vh;
    min-height: 50px;
    max-height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    background-image: url('/images/header-image.jpg');
    background-size: cover;
    background-position: center;
    
}
#houses {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 1px;
}
#principal {
    display:flex;
}
#lateral {
    min-width: 350px;
    max-width: 100%;
    font-size: 25px;
    background-color: rgb(58, 57, 57);
    text-align: center;
    padding: 5px;
}
h2 {
    font-family: 'D-DINExp-Bold';
    color: white;
    font-size: 1.3em;
    margin: 0px;
    margin-top: 20px;
}
p {
    font-size: 0.9em;
    line-height: 1.7em;
    margin-top: 0px;
}
.imagenhotel {
    display:block;
    margin:auto;  
    transform: scale(1);
    opacity: 0.85;grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-template-columns: repeat(3, 1fr);
    transition: all .2s ease-in-out;
}
.imagenhotel:hover {
    transform: scale(1.1);
    cursor: pointer;
    opacity: 1;
}
.item {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
    padding: 20px;
    position: relative;
    margin: 10px;
    border-color: gray;
    border-width: 1px;
    border-style: solid;
}
.price {
    color: red;
    font-weight: bold;
    font-size: 1.9em;
}
.boton, .button {
    position: relative;
    text-align: center;
    padding: 20px;
    color: white;
    background-color: red;
    cursor: pointer;
    border: none;
}
#list {
    padding: 10px;
    text-align: center;
}
.cart-card {
    align-items: center;
    display: grid;
    gap: 10px;
    text-align: center;
    background-color: rgb(47, 47, 47);
    padding: 40px;

}
.precioP {
    color: red;
    text-align: left;
    font-weight: bold;
    font-size: xx-large;
}
.nameP {
    color: white;
    text-align: left;
    font-weight: bold;
    font-size: x-large;
}
.delete {
    padding: 10px;
    border: none;
    background-color: red;
    color: white;
    cursor: pointer;
}
#seacabo {
    padding: 10px;
    background-color: red;
    text-align: center;
    font-size: 1.5em;
    bottom: initial;
    right:10px;
}
@media screen and (max-width: 600px) {
    h1 {
        font-family: 'D-DINExp-Bold';
        color: white;
        font-size: 2.7em;
        vertical-align: middle;
        text-align: center;
    }
    .titulo {
        padding: 50px;
    }
    #houses {
        flex-direction: column;
        width: 100%;
    }
    #seacabo {        
        font-size: 1.1em;
        padding-left: 30px;
        padding-right: 30px;
        padding-top: 10px;
}
}